Bug 77088 - New port: devel/sage. OpenGL extension library
Summary: New port: devel/sage. OpenGL extension library
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2005-02-04 05:40 UTC by Jan Rochel
Modified: 2005-02-05 21:48 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jan Rochel 2005-02-04 05:40:23 UTC
 --- sage.shar begins here ---
 # This is a shell archive.  Save it in a file, remove anything before
 # this line, and then unpack it by entering "sh file".  Note, it may
 # create directories; files and directories will be owned by you and
 # have default permissions.
 #
 # This archive contains:
 #
 #	sage
 #	sage/Makefile
 #	sage/distinfo
 #	sage/pkg-descr
 #	sage/pkg-plist
 #	sage/files
 #	sage/files/patch-Makefile.in
 #
 echo c - sage
 mkdir -p sage > /dev/null 2>&1
 echo x - sage/Makefile
 sed 's/^X//' >sage/Makefile << 'END-of-sage/Makefile'
 X# New ports collection makefile for:   sage
 X# Date created:        4 February 2005
 X# Whom:                Janni
 X#
 X# $FreeBSD$
 X#
 X
 XPORTNAME=	sage
 XPORTVERSION=	0.1.1
 XCATEGORIES=	devel
 XMASTER_SITES=	ftp://ftp.worldforge.org/pub/worldforge/libs/sage/ \
 X	http://purple.worldforge.org/downloads/libs/sage/ \
 X	${MASTER_SITE_SOURCEFORGE}/%SUBDIR%
 XMASTER_SITE_SUBDIR=worldforge
 X
 XMAINTAINER=	jannisan@t-online.de
 XCOMMENT=	OpenGL extension library
 X
 XUSE_SDL=	sdl
 XUSE_GL=		yes
 XUSE_REINPLACE=	yes
 XHAS_CONFIGURE=	yes
 X
 XCFLAGS=		-I${X11BASE}/include
 XCONFIGURE_ENV=	"CFLAGS=${CFLAGS}"
 X
 Xpost-patch:
 X	${REINPLACE_CMD} s/sdl-config/sdl11-config/g ${WRKSRC}/configure
 X
 X.include <bsd.port.mk>
 END-of-sage/Makefile
 echo x - sage/distinfo
 sed 's/^X//' >sage/distinfo << 'END-of-sage/distinfo'
 XMD5 (sage-0.1.1.tar.gz) = 6443d9bfc5fed7da5608b05f40c9fc0d
 XSIZE (sage-0.1.1.tar.gz) = 403561
 END-of-sage/distinfo
 echo x - sage/pkg-descr
 sed 's/^X//' >sage/pkg-descr << 'END-of-sage/pkg-descr'
 XSage is an OpenGL extension library written to make use of SDL's mechanism for
 Xenabling OpenGL's extensions.
 X
 XWWW: http://www.worldforge.org/dev/eng/libraries/sage
 X
 X- Janni
 Xjannisan@t-online.de
 END-of-sage/pkg-descr
 echo x - sage/pkg-plist
 sed 's/^X//' >sage/pkg-plist << 'END-of-sage/pkg-plist'
 Xlib/libsage.a
 Xlib/libsage.la
 Xlib/libsage.so
 Xlib/libsage.so.0
 Xinclude/sage/sage.h
 Xinclude/sage/utility.h
 Xinclude/sage/glext_sage.h
 Xinclude/sage/GL.h
 Xinclude/sage/GLU.h
 Xinclude/sage/header.h
 X@dirrm include/sage
 Xlibdata/pkgconfig/sage.pc
 END-of-sage/pkg-plist
 echo c - sage/files
 mkdir -p sage/files > /dev/null 2>&1
 echo x - sage/files/patch-Makefile.in
 sed 's/^X//' >sage/files/patch-Makefile.in << 'END-of-sage/files/patch-Makefile.in'
 X*** Makefile.in.orig	Fri Feb  4 05:47:36 2005
 X--- Makefile.in	Fri Feb  4 05:47:48 2005
 X***************
 X*** 169,175 ****
 X  
 X  EXTRA_DIST = sage.spec sage.pc autogen.sh build_sage.pl
 X  
 X! pkgconfigdir = $(libdir)/pkgconfig
 X  pkgconfig_DATA = sage.pc
 X  subdir = .
 X  ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
 X--- 169,175 ----
 X  
 X  EXTRA_DIST = sage.spec sage.pc autogen.sh build_sage.pl
 X  
 X! pkgconfigdir = $(prefix)/libdata/pkgconfig
 X  pkgconfig_DATA = sage.pc
 X  subdir = .
 X  ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
 END-of-sage/files/patch-Makefile.in
 exit
 --- sage.shar ends here ---
Comment 1 Ceri Davies freebsd_committer 2005-02-04 14:45:46 UTC
Responsible Changed
From-To: gnats-admin->freebsd-ports-bugs

Reassign misfiled PR.
Comment 2 Pav Lucistnik freebsd_committer 2005-02-05 21:47:12 UTC
State Changed
From-To: open->closed

New port added - to graphics category.